Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTableUI.FocusHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicTableUI.FocusHandler

All Implemented Interfaces:
  FocusListener, EventListener

Enclosing class:
  BasicTableUI

    public class BasicTableUI.FocusHandler
    extends Object
    implements FocusListener

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicTableUI`.

### Constructor Summary

Constructors
Constructor and Description
`FocusHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
`void` `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FocusHandler

    public FocusHandler()

### Method Detail

#### focusGained

    public void focusGained(FocusEvent e)

Description copied from interface: `FocusListener`
Invoked when a component gains the keyboard focus.

Specified by:
  `focusGained` in interface `FocusListener`
Parameters:
  `e` - the event to be processed

#### focusLost

    public void focusLost(FocusEvent e)

Description copied from interface: `FocusListener`
Invoked when a component loses the keyboard focus.

Specified by:
  `focusLost` in interface `FocusListener`
Parameters:
  `e` - the event to be processed